//
//  lariat-online/daq/include/LariatException.h (W.Badgett)
//
#ifndef _LARIAT_EXCEPTION_H
#define _LARIAT_EXCEPTION_H

#include "CAENDigitizerType.h"
#include "CAENDecoder.h"

class LariatException
{
  public: 

  CAEN_DGTZ_ErrorCode error; 
  std::string label;
  int boardId;

  LariatException(CAEN_DGTZ_ErrorCode error_, 
		  std::string label_,
		  int boardId_);

  void print();
};

std::ostream& operator<<(std::ostream& s, const LariatException& e);
 
#endif
