#ifndef CAENBASE_H
#define CAENBASE_H
#include "CAENBase.h"

//#include "CAENVMElib.h"

std::string caen::decode_error(const CVErrorCodes& err){
  
  std::string rval="Unknown";
  switch(err) {
  case cvSuccess:
    rval="Success";
    break;
  case cvBusError:
    rval="VME Bus Error";
    break;
  case cvCommError:
    rval="Communication Error";
    break;
  case cvGenericError:
    rval="Generic Unspecified Error";
    break;
  case cvInvalidParam:
    rval="Invalid Parameter";
    break;
  case cvTimeoutError:
    rval="Timeout Error";
    break;
  default:
    break;
  }
  return rval;
}

#endif
