//
//  V2718Configuration.h   (M. Kordosky)
//

#ifndef _V2718Configuration_h
#define _V2718Configuration_h
#include <stdint.h>
#include <iostream>
#include <ConfigurationBase.h>

class V2718Configuration: public ConfigurationBase
{
  public:

   ~V2718Configuration() {}
   V2718Configuration(std::string fileName="/opt/lariat-online/config/V2718.config");

   void print(std::ostream& os = std::cout);

    int bridgeType;
    uint32_t link;
    bool enableReadout;
    bool spillFlag;
};

#endif

