#include "artdaq-core/ArtModules/BuildInfo_module.hh" 

#include "artdaq/BuildInfo/GetPackageBuildInfo.hh" 
#include "artdaq-core/BuildInfo/GetPackageBuildInfo.hh" 
#include "lariat-artdaq/BuildInfo/GetPackageBuildInfo.hh" 

#include <string>

namespace lariat {

  static std::string instanceName = "LariatOnlineBuildInfo";
  typedef artdaq::BuildInfo< &instanceName, artdaqcore::GetPackageBuildInfo, artdaq::GetPackageBuildInfo, lariat::GetPackageBuildInfo> LariatOnlineBuildInfo;

  DEFINE_ART_MODULE(LariatOnlineBuildInfo)
}
