
# Generate the FHiCL document which configures the lariat::SpillFileReader class

require File.join( File.dirname(__FILE__), 'demo_utilities' )
  
def generateSpillFileReader()

  spillConfig = String.new( "\

#############


   # Parameters defining and configuring the fragment generator to be used
   		    
   generator: SpillFileReader 
   fragment_type: \"SPILL\"        # Make sure downstream modules know about this fragment_type!
   input_filelist: \"datalist_combo.txt\"
   throttle_usecs: 0

   # Make sure the number of fragment IDs in the fragment_ids sequence
   # equals the value of \"expected_fragments_per_event\" below

   fragment_ids: [1]

   # Parameters configuring the fragment generator's parent class
   # artdaq::CommandableFragmentGenerator

   fragment_id: 999
   board_id: 999

")

  return spillConfig

end
